<!DOCTYPE html>
<html>

<head>
  <title>Ocelot Desktop</title>
  <link rel="shortcut icon" type="image/png" href="/favicon.png">
  <link rel="stylesheet" href="/css/style.css">
  <link rel="stylesheet" href="/css/svganim.css">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta charset="utf-8">
  <script src="/js/lazyload.js"></script>
</head>

<body>
<header id="header-title">
  <div class="video-wrapper">
    <video id="background-video" autoplay muted loop playsinline>
      <source src="/images/header.webm" type="video/webm" class="lazy">
    </video>
    <div class="heading-title">
      <ul>
        <li>[ home ]</li>
        <li><a href="/faq.html">faq</a></li>
        <li><a href="https://gitlab.com/cc-ru/ocelot/ocelot-desktop">gitlab</a></li>
      </ul>
      <!-- svg banner -->
      <svg width="256px" height="256px" viewBox="0 0 67.01638 79.910339" version="1.1" id="svg190"
           sodipodi:docname="bitmap.svg" xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
           xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd" xmlns="http://www.w3.org/2000/svg"
           xmlns:svg="http://www.w3.org/2000/svg">
        <defs id="defs187"></defs>
        <g inkscape:label="Layer 1" inkscape:groupmode="layer" id="layer1"
           transform="translate(-23.755211,-16.994446)">
          <path inkscape:connector-curvature="0" id="path828"
                d="m 45.239988,96.146651 c -3.53543,-0.593872 -7.17048,-2.019883 -11.03877,-4.330458 -6.09189,-3.638758 -8.74448,-6.949165 -9.71396,-12.122937 -0.27847,-1.48613 -0.32501,-2.663698 -0.2433,-6.156911 0.0895,-3.826601 0.16336,-4.553954 0.64749,-6.376143 0.30056,-1.131251 0.82065,-2.646267 1.15575,-3.366703 0.85471,-1.837543 2.98725,-5.008899 4.51321,-6.711711 0.70963,-0.791875 2.41207,-2.908418 3.78318,-4.703427 5.83637,-7.640733 7.04967,-10.08262 7.26982,-14.631185 0.0922,-1.905402 0.04,-2.516425 -0.33042,-3.866651 -0.65252,-2.378456 -2.49664,-5.845869 -2.95758,-5.560995 -0.30036,0.18563 -0.0389,4.848219 0.34989,6.240089 0.37461,1.341029 0.38834,1.505739 0.1113,1.334515 -0.25974,-0.160524 -1.17288,-1.944091 -1.57083,-3.068157 -0.84147,-2.376878 -1.14379,-4.546066 -1.32064,-9.476022 -0.0974,-2.715002 -0.23257,-5.260315 -0.30039,-5.656253 -0.0862,-0.503429 0.0909,-0.240821 0.5889,0.873373 0.92956,2.07956 2.26452,4.198639 3.87726,6.154689 2.94797,3.575501 4.05923,5.067528 4.64636,6.238421 0.67131,1.338767 1.34753,3.393754 1.11677,3.39375 -0.0788,-2e-6 -0.57355,-0.578483 -1.09956,-1.285512 -1.89692,-2.549719 -3.87734,-4.47358 -4.6051,-4.47358 -0.0722,0 0.11391,0.291464 0.41366,0.647695 0.77202,0.917495 1.70698,2.846271 2.10634,4.345302 0.24245,0.910029 0.34412,2.172572 0.35154,4.36553 0.0101,2.970136 -0.0148,3.158123 -0.66722,5.039207 -1.5554,4.48483 -4.0048,8.109783 -10.84048,16.043189 -0.63356,0.735313 -1.56135,1.949221 -2.06174,2.697572 -2.70751,4.049171 -3.90416,9.900826 -3.09894,15.153874 0.79403,5.180148 2.56413,7.867829 7.40087,11.23733 3.83092,2.668803 5.87054,3.779212 8.56301,4.661873 2.31685,0.759522 2.83474,0.853706 5.25145,0.955033 1.65483,0.06938 3.21223,0.01993 4.06863,-0.129212 1.40363,-0.244432 2.40448,-0.59369 2.40448,-0.839075 0,-0.07375 -0.89394,-0.719381 -1.98652,-1.434734 -3.40814,-2.231429 -5.52305,-4.695922 -8.63565,-10.063088 -1.60448,-2.766671 -3.0115,-3.948346 -5.83238,-4.898317 -1.29173,-0.435005 -1.33913,-0.475526 -1.40171,-1.198393 -0.0391,-0.451563 0.0719,-0.95681 0.28007,-1.274463 0.33349,-0.508972 0.39657,-0.522294 1.91591,-0.404667 0.86409,0.0669 1.75639,0.176771 1.98289,0.244159 0.39687,0.118082 0.41184,0.027 0.41254,-2.510578 6.1e-4,-2.402418 0.0457,-2.720526 0.51375,-3.630948 0.30086,-0.585173 0.88304,-1.265668 1.40773,-1.645455 0.82116,-0.594384 1.02403,-0.646996 2.46818,-0.640109 1.34412,0.0064 1.73415,0.0954 2.67569,0.610492 1.3324,0.728923 2.29596,1.810528 2.94127,3.301582 0.26484,0.611934 0.5278,1.111435 0.58436,1.110001 0.0566,-0.0014 0.40616,-0.532056 0.77687,-1.17916 1.64142,-2.865194 5.54463,-7.655534 6.2378,-7.655534 0.22345,0 0.75271,0.176738 1.17613,0.39275 0.89987,0.459084 3.88313,1.285415 6.51546,1.804719 1.42715,0.281547 2.84045,0.363421 6.17046,0.357467 3.875,-0.0069 4.59316,-0.06468 6.98143,-0.561442 1.46416,-0.304547 2.82581,-0.553721 3.02588,-0.553721 0.43512,0 0.66565,0.781096 0.97128,3.290911 1.42568,11.70749 0.29617,19.765384 -3.30424,23.57228 -2.01613,2.131762 -5.34949,4.061531 -9.44705,5.469144 -1.79943,0.61815 -2.11685,0.662964 -4.70628,0.664435 -2.65953,0.0014 -3.70777,-0.140333 -5.76826,-0.780536 -0.87712,-0.272527 -1.01023,-0.259672 -2.15966,0.208569 -0.67371,0.274448 -2.00065,0.634525 -2.94874,0.800173 -2.15047,0.375717 -7.32077,0.363866 -9.61819,-0.02205 z m 23.53764,-6.175692 c 3.80319,-1.409367 6.48897,-3.362165 7.61047,-5.533477 0.43312,-0.838555 0.54716,-1.392004 0.6177,-2.997935 0.10093,-2.297936 -0.19149,-3.10611 -1.57673,-4.357587 -1.26728,-1.144912 -2.02752,-1.471698 -3.42093,-1.470476 -2.60951,0.0023 -4.56203,1.714279 -5.89084,5.165144 -0.57887,1.503302 -1.81678,7.010353 -1.82045,8.098583 -0.002,0.739565 1.24055,1.814483 2.11544,1.829315 0.20291,0.0034 1.26731,-0.326666 2.36534,-0.733567 z m -3.40839,-0.197409 c -0.58698,-0.41114 -0.60191,-1.545097 -0.054,-4.101976 1.10936,-5.17701 3.08596,-8.654114 5.29592,-9.316233 2.52705,-0.757123 4.3922,0.102882 5.50651,2.539001 1.05506,2.306608 0.51918,4.942119 -1.43174,7.041446 -1.36692,1.4709 -2.69163,2.271117 -5.50869,3.327646 -2.41185,0.904554 -3.11111,0.998226 -3.80799,0.510116 z m -2.64194,-16.563801 c 1.16333,-0.323011 1.77345,-1.017963 1.77345,-2.020045 0,-0.881528 -0.74647,-3.157212 -1.32552,-4.04094 -0.51388,-0.784292 -0.62126,-0.469589 -0.155,0.454289 0.21963,0.435182 0.56776,1.451481 0.77362,2.258441 0.35653,1.397592 0.35727,1.493173 0.0156,2.01458 -0.42578,0.649813 -1.10141,0.94038 -2.1866,0.94038 -0.7367,0 -0.88107,-0.106889 -1.99201,-1.474912 -1.59961,-1.969785 -1.9996,-2.035366 -0.64266,-0.105373 1.51954,2.161248 2.05166,2.442115 3.73909,1.97358 z m 7.67404,-0.310471 c 0.8665,-0.203181 1.83275,-0.286122 2.53237,-0.217373 0.87046,0.08554 1.04124,0.06015 0.74079,-0.110122 -0.3778,-0.214111 -2.44095,-0.139133 -4.35028,0.158096 -0.71028,0.110572 -0.92962,0.04815 -1.49119,-0.42438 -1.03381,-0.869892 -0.89794,-1.615728 0.62911,-3.453436 0.85564,-1.02972 2.20464,-1.940358 3.30576,-2.231558 0.52979,-0.140107 0.47857,-0.152147 -0.27397,-0.06441 -0.50906,0.05935 -1.26728,0.333008 -1.68493,0.608124 -1.03554,0.68214 -2.56034,2.304065 -2.96216,3.150833 -0.30732,0.647616 -0.30473,0.754525 0.0365,1.511252 0.65737,1.457793 1.18742,1.619457 3.518,1.072974 z m -2.30116,-9.56499 c -5.24135,-0.430451 -10.66009,-2.344208 -13.78069,-4.866979 l -1.23409,-0.997671 0.0194,-3.073472 c 0.0201,-3.18483 0.14577,-4.045812 1.34631,-9.225469 0.64084,-2.764867 1.74905,-6.609148 2.46598,-8.554259 0.84832,-2.301595 1.86752,-3.906842 3.73009,-5.874903 1.56329,-1.651827 5.10892,-4.614875 5.52223,-4.614875 0.0694,0 -0.2723,1.613012 -0.75936,3.584471 -0.48707,1.971459 -0.91405,4.018269 -0.94887,4.54847 l -0.0633,0.964002 2.05682,-0.02897 c 3.43785,-0.04842 9.1913,0.756154 11.78268,1.64772 l 1.15486,0.397332 0.93578,-0.892061 c 1.40664,-1.340925 2.78068,-2.412813 4.95844,-3.868091 1.96308,-1.311815 4.82963,-2.814035 5.01536,-2.628304 0.054,0.05401 -0.0854,0.688183 -0.30985,1.409266 -0.9453,3.037252 -1.89151,7.915821 -2.34357,12.083144 -0.34907,3.21785 -0.41088,10.05418 -0.12034,13.307593 0.21587,2.417184 0.12541,2.630024 -1.61857,3.808046 -3.6123,2.440046 -10.18529,3.501142 -17.80933,2.875012 z m 10.15941,-8.874589 c 2.42336,-1.2471 2.9076,-4.578026 0.97478,-6.705034 -1.75703,-1.933546 -5.30286,-1.559143 -6.62664,0.699703 -0.65792,1.122653 -0.85981,2.65127 -0.51789,3.921083 0.261,0.969263 1.32361,2.106682 2.32327,2.486813 0.94933,0.360997 2.72356,0.175309 3.84648,-0.402565 z m -17.72541,-1.512695 c 2.03178,-0.680581 2.93816,-1.857666 2.93816,-3.815694 0,-1.685244 -0.91416,-3.271498 -2.30371,-3.997436 -1.36197,-0.711524 -4.26263,-0.02793 -5.25961,1.239536 -1.08628,1.380971 -1.14243,3.556353 -0.13359,5.175498 1.02703,1.648355 2.61706,2.115496 4.75875,1.398096 z"
                style="fill: rgb(0, 0, 0); fill-opacity: 1; stroke: rgb(255, 255, 255); stroke-width: 0.906px; stroke-opacity: 1;"
                class="svg-elem-1"></path>
        </g>
      </svg>
      <!-- svg banner -->
      <h1>[ ocelot.desktop ]</h1>
      <h2>An advanced OpenComputers emulator</h2>
      <div class="download-links">
        <a class="download-executable-jar-for-free" href="{{ release_link }}">
          <img src="/images/download.png"> Download ({{ release_tag }})
        </a>

        <a class="download-executable-jar-for-free changelog" href="https://gitlab.com/cc-ru/ocelot/ocelot-desktop/-/releases/{{ release_tag }}">
          <img src="/images/book.png">  Changelog
        </a>
      </div>
      <p>Or <a href="https://cc-ru.gitlab.io/ocelot/ocelot-desktop/ocelot.jar">download</a>
          <a href="https://ocelot.fomalhaut.me/ocelot.jar">(mirror)</a>
          a development build from {{ last_update }} <a href={{ commit_url }}>({{ commit }})</a> by {{ updated_by }}</p>
    </div>
  </div>
</header>
<div class="content">
  <div class="feature">
    <h2 class="lined-heading">
      Near-perfect emulation
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <img src="/images/features/near_perfect_emulation.png" style="border-radius: 10px;">
      </div>
      <p>At the heart is ocelot-brain —
        basically OpenComputers but untied from Minecraft and packaged as a Scala library.
        This makes Ocelot Desktop the most accurate emulator ever made.</p>
    </div>
  </div>


  <div class="feature">
    <h2 class="lined-heading">
      Pretty graphical interface
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <video autoplay loop src="/images/features/user_interface.webm" style="border-radius: 10px;"></video>
      </div>
      <p>A fully-custom graphical interface, with animations and a slick design inspired by the original mod.</p>
    </div>
  </div>

  <div class="feature">
    <h2 class="lined-heading">
      Persistable workspaces
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <img src="/images/features/persistant_workspaces.png" style="border-radius: 10px;">
      </div>
      <p>Building the emulator on top of OpenComputers directly,
        we've inherited and preserved its ability to save state to disk and restore afterwards.
        Even opened screen windows retain their position when you reload the workspace!</p>
    </div>
  </div>

  <div class="feature">
    <h2 class="lined-heading">
      Workspace design
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <img src="/images/features/workspace_editor.png" style="border-radius: 10px;">
      </div>
      <p>Customize the setup to your liking:
        add computers, connect components, build complex setups,
        and manage your screen real estate to avoid distractions.</p>
    </div>
  </div>

  <div class="feature">
    <h2 class="lined-heading">
      Cool features
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <video autoplay loop src="/images/features/cool_features.webm" style="border-radius: 10px;"></video>
      </div>
      <p>Not stopping at just being an emulator, Ocelot Desktop brings new useful features, such as:
        such as performance graphs, resizeable screens, window labeling, and even TPS adjustment.</p>
    </div>
  </div>

  <div class="feature">
    <h2 class="lined-heading">
      Built-in Eris Lua 5.2, 5.3 and 5.4
    </h2>
    <div class="feature-content">
      <div class="feature-img">
        <img src="/images/features/lua.png" style="border-radius: 10px;">
      </div>
      <p>No need to install anything extra!
        Your programs will run on the same version of Lua as used by the mod and have similar timings.
        The performance and memory constraints present in OC are also emulated.</p>
    </div>
  </div>
</div>

<script>
  document.write(`<footer>Blessed by the forest spirit. &copy ${new Date().getFullYear()} The Ocelot Development Team</footer>`);
</script>
</body>

</html>
